> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Skill



## OpenAPI

````yaml /openapi.json patch /admin/api/assistant/skills/{skillId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/assistant/skills/{skillId}:
    patch:
      tags:
        - Assistant Admin
      summary: Update Skill
      operationId: AssistantAdminController_updateSkill
      parameters:
        - name: skillId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAssistantSkillAdminDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateAssistantSkillAdminDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        description:
          type: string
          maxLength: 2000
        body:
          type: string
          minLength: 1
          maxLength: 100000
        enabled:
          type: boolean
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - name
        - description
        - body
        - enabled
        - expectedVersion
      additionalProperties: false

````